import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns

mpg = sns.load_dataset("mpg")

errcolor = ['r', 'b', 'y']
errwidthes = [2, 3, 4]
capsizes = [0, 0.3, 0.7]
plt.figure(figsize=(15, 5))
for i, p in enumerate(zip(errcolor, errwidthes, capsizes)):
    plt.subplot(1, len(errcolor), i + 1)
    plt.title(f"errcolor = {p[0]}, errwidth = {p[1]}, capsize = {p[2]}")
    sns.barplot(x='origin', y='horsepower', errcolor=p[0], errwidth=p[1],
                capsize=p[2], data=mpg)

plt.show()
